local assets =
{
	Asset("ANIM", "anim/pudding.zip"),

}
--====================
local prefabs =
{
    "pudding",
}
--====================
local function pudding()
    local inst = common("meat_human", "meat_human", "raw")

    if not TheWorld.ismastersim then
        return inst
    end

    inst.components.edible.ismeat = true    
    inst.components.edible.foodtype = FOODTYPE.MEAT
    inst.components.edible.healthvalue = 25
    inst.components.edible.hungervalue = 50
    inst.components.edible.sanityvalue = 15
    inst.components.perishable:SetPerishTime(TUNING.PERISH_FAST)

    inst.components.tradable.goldvalue = 0

    inst:AddComponent("selfstacker")

    inst:AddComponent("dryable")
    return inst
end
--====================

return Prefab("common/inventory/pudding", raw, assets, prefabs),